// GItem.h: interface for the CGItem class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GITEM_H__B5F473D6_8555_4EBF_9882_F05F6BAE2899__INCLUDED_)
#define AFX_GITEM_H__B5F473D6_8555_4EBF_9882_F05F6BAE2899__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Display\Common.h"
#include "Sprite.h"

class CGPage;

typedef HRESULT (CALLBACK* MENUPROC)(VOID*, VOID*, UINT);

class AFX_EXT_CLASS CGItem : public CSprite  
{
	//atributes
protected:
	DWORD			m_dwID;
	BOOL			m_CanFocus;

public:
	//callback func.
	MENUPROC		ProcessFunc;

	//func.
public:
	//visual aspect
	virtual void		Enable() {};
	virtual void		Disable() {};

	//drawing
	virtual void		UpdateItem();
	virtual HRESULT		ProcessItem(CGPage* _Page, void* _Data, UINT _Action);

	//return func.
	void	SetID(DWORD dwID)	{m_dwID = dwID;}
	DWORD	GetID()				{return m_dwID;}

	//fucus func.
	BOOL	CanBeFocused()				{return m_CanFocus;}
	void	SetCBFocused(BOOL _Value)	{m_CanFocus = _Value;}

public:
	CGItem();
	virtual ~CGItem();

};

#endif // !defined(AFX_GITEM_H__B5F473D6_8555_4EBF_9882_F05F6BAE2899__INCLUDED_)
