// GLabel.cpp: implementation of the CGLabel class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "..\Common\Common.h"
#include "..\Display\Common.h"

#include "GLabel.h"
#include "gpage.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CGLabel::CGLabel()
{
	SetCBFocused(FALSE);
}

CGLabel::~CGLabel()
{

}

void		CGLabel::CreateLabel(int x, int y, CString _BMPFile)
{
	// Create one state for each label
	m_LabelState.CreateState(LABEL_STATE, _BMPFile);
	// remeber this state
	AddState(&m_LabelState);
	// set position of label
	if(m_pCurState) {
		if(x == IP_CENTER) {
			x = disGetResolution().cx / 2 - m_pCurState->GetSourceSurface()->Width() / 2;
		}		
		if(y == IP_CENTER) {
			y = disGetResolution().cy / 2 - m_pCurState->GetSourceSurface()->Height() / 2;
		}
	}	
	SetPosition(CPoint(x, y));	
}
