// GPage.h: interface for the CGPage class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GPAGE_H__2F8871DA_68FB_4008_B433_8E33096707DE__INCLUDED_)
#define AFX_GPAGE_H__2F8871DA_68FB_4008_B433_8E33096707DE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define		IA_MOUSEMOVE		0
#define		IA_MOUSECLICK_DOWN	1
#define		IA_MOUSECLICK_UP	2
#define		IA_KEYPRESS			3
#define		IA_NONE				4

#define		BA_UP				10
#define		BA_DOWN				20

#define		IP_CENTER			-1
#define		LEFT_MOUSE_BUTTON	0
#define		RIGHT_MOUSE_BUTTON	1

#include "gitem.h"
#include "gbutton.h"
#include "glabel.h"

class AFX_EXT_CLASS CGPage
{
	//atributes
private:
	DWORD		m_dwID;
	CPtrArray   m_Items;

public:
	//creating items
	void		CreateItem(DWORD dwID, CGItem* _NewItem);
	void		ReleasePage();
	CPtrArray*	GetItems() {return &m_Items;}

	//general
	void		TestMouseMove(CPoint _Cursor);
	void		TestMouseClick(CPoint _Cursor, UINT	_MouseButton, UINT _ButtonAction);

	//drawing
	void	UpdatePage();
	void	ResetPage();
	//
	// Get ID of page
	void	SetID(DWORD dwID) {m_dwID = dwID;}
	DWORD	GetID()			{return m_dwID;}

public:
	//callback func.
	MENUPROC	ProcessFunc;

public:
	CGPage();
	~CGPage();

};

#endif // !defined(AFX_GPAGE_H__2F8871DA_68FB_4008_B433_8E33096707DE__INCLUDED_)
