// Linearni spojovy seznam

template<class T> class CSeznam {
private:
  CUzel<T> *m_lpHlava;

public:
  CSeznam() : m_lpHlava(NULL) 
  { 
      m_lpHlava = new CUzel<T>(0); // Vytvorime prvni prvek
  }

  ~CSeznam()
  {
      Uvolni(); // Jen uvolnime vsechny prvky
  }

  bool JePrazdny() { return (m_lpHlava == NULL); }

  void VlozKonec(T _data)
  {
      // Overime platnost seznamu
      if(m_lpHlava)
      {
          // Vytvorime vkladany uzel
          CUzel<T> *lpVkladany = new CUzel<T>(_data);

          CUzel<T> *lpKonec; // Najdeme si konec zretezeneho seznamu
          lpKonec = m_lpHlava;

          // Dokud je dalsi prvek platnym prvkem
          while(lpKonec->Nasl() != NULL)
          {
              lpKonec = lpKonec->Nasl(); // Posun na dalsi prvek
          }
          cout << "Vkladam za : " << lpKonec->Data() << "(" << _data << ")" << endl;

          lpKonec->NastavNasl(lpVkladany);
      }
  }

  void Uvolni()
  {
      CUzel<T> *lpMazany = m_lpHlava;

      while(m_lpHlava)
      {
          m_lpHlava = m_lpHlava->Nasl();
          cout << "Mazu : " << lpMazany->Data() << endl;
          delete lpMazany;
          lpMazany = m_lpHlava;
      }
  }

  void Vypis()
  {
      // Nechceme vypisovat data v hlave ...
      CUzel<T> *lpVypisovany = m_lpHlava->Nasl();

      while(lpVypisovany)
      {
          lpVypisovany->Vypis();
          lpVypisovany = lpVypisovany->Nasl();
      }
  }
};







		

