// GButton.h: interface for the CGButton class.
//
//////////////////////////////////////////////////////////////////////
#if !defined(AFX_GBUTTON_H__AD28DFE2_B754_4BF5_896C_D2BE5A8AAA88__INCLUDED_)
#define AFX_GBUTTON_H__AD28DFE2_B754_4BF5_896C_D2BE5A8AAA88__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GItem.h"

#define		BS_NORMAL		0
#define		BS_FOCUS		1
#define		BS_PRESS		2
#define		BS_DISABLE		3

class AFX_EXT_CLASS CGButton : public CGItem  
{
private:
	CSpriteState m_NormalState;
	CSpriteState m_FocusState;
	CSpriteState m_PressState;
	CSpriteState m_DisState;

public:
	//creation
	void		CreateButton(int x, int y, LPCSTR szNormal, LPCSTR szFocus = NULL, LPCSTR szPress = NULL, LPCSTR szDis = NULL);

	//update
	virtual void UpdateItem();
	virtual HRESULT	ProcessItem(CGPage* _Page, void* _Data, UINT _Action);

	//visual
	virtual void		Enable() {SetState(BS_NORMAL); }
	virtual void		Disable() {SetState(BS_DISABLE); }

public:
	CGButton();
	virtual ~CGButton();

};

#endif // !defined(AFX_GBUTTON_H__AD28DFE2_B754_4BF5_896C_D2BE5A8AAA88__INCLUDED_)
