// Cursor.h: interface for the CCursor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_)
#define AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CCursor  
{
	BOOL		m_bInit;
	int			m_iWidth;
	int			m_iHeight;
	CString		m_csIntPath;
	
	CSurface	m_surCursor;
	int			m_iPhase;
	int			m_iSpeed;
	int			m_nPhases;
	DWORD		m_dwOldTime;

public:
	HRESULT		Create(CString csIntPath, int cx, int cy);
	HRESULT		Create(CString csIntPath, int cx, int cy, int nSpeed);
	HRESULT		Update(CPoint ptCursor);

public:
	CCursor();
	~CCursor();
};

#endif // !defined(AFX_CURSOR_H__0E97DBE0_339C_4800_8055_2A308C7B8C4E__INCLUDED_)
